Package org.codehaus.janino

# Interface Visitor.ImportVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.ImportVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.AbstractCompilationUnit.ImportDeclaration`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitSingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration ssid)`
Invoked by `Java.AbstractCompilationUnit.SingleStaticImportDeclaration.accept(Visitor.ImportVisitor)`
`R`
`visitSingleTypeImportDeclaration(Java.AbstractCompilationUnit.SingleTypeImportDeclaration stid)`
Invoked by `Java.AbstractCompilationUnit.SingleTypeImportDeclaration.accept(Visitor.ImportVisitor)`
`R`
`visitStaticImportOnDemandDeclaration(Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration siodd)`
Invoked by `Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration.accept(Visitor.ImportVisitor)`
`R`
`visitTypeImportOnDemandDeclaration(Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration tiodd)`
Invoked by `Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration.accept(Visitor.ImportVisitor)`

## Method Details

### visitSingleTypeImportDeclaration

@Nullable R visitSingleTypeImportDeclaration(Java.AbstractCompilationUnit.SingleTypeImportDeclaration stid) throws EX
Invoked by `Java.AbstractCompilationUnit.SingleTypeImportDeclaration.accept(Visitor.ImportVisitor)`

Throws:
  `EX`

### visitTypeImportOnDemandDeclaration

@Nullable R visitTypeImportOnDemandDeclaration(Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration tiodd) throws EX
Invoked by `Java.AbstractCompilationUnit.TypeImportOnDemandDeclaration.accept(Visitor.ImportVisitor)`

Throws:
  `EX`

### visitSingleStaticImportDeclaration

@Nullable R visitSingleStaticImportDeclaration(Java.AbstractCompilationUnit.SingleStaticImportDeclaration ssid) throws EX
Invoked by `Java.AbstractCompilationUnit.SingleStaticImportDeclaration.accept(Visitor.ImportVisitor)`

Throws:
  `EX`

### visitStaticImportOnDemandDeclaration

@Nullable R visitStaticImportOnDemandDeclaration(Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration siodd) throws EX
Invoked by `Java.AbstractCompilationUnit.StaticImportOnDemandDeclaration.accept(Visitor.ImportVisitor)`

Throws:
  `EX`